package sample01;
import java.sql.SQLException;

import net.core22.dbfw.*;

public class Sample01 {

	/**
	 * @param args
	 * @throws ValidateException
	 * @throws SQLException
	 * @throws DBException
	 */
	public static void main(String[] args) throws ValidateException, SQLException, DBException {
		//DataSourceを利用できるとき（ＷＥＢアプリケーション）
		//DataSource ds = DataSourceFactory.getDataSource();
		//DB db = new DB(ds);
		//以下は、同じ使い方
		DB db = new DB();
		try {
			db.connect();
			Param param01 = new Param();
			param01.add(0, "0004");
			param01.add(1, "山田　次郎");
			param01.add(2, "0");
			db.executeUpdate("SQL003",param01);
			db.commit();


			//SQLに渡すパラメータ
			Param param = new Param();
			param.add(0, "0001");
			param.add(1, "0004");
			param.add(2, "0");
			//SELET文を発行する
			//UserEntityクラスで、EntityListとして取得できる
			EntityList elist = db.executeQuery("SQL001",param,UserEntity.class);
			//データ読み出し
			int size = elist.size();
			for (int i = 0; i < size; i++) {
				UserEntity en = (UserEntity)elist.get(i);
				System.out.println("id="+en.getId()+" name="+en.getName());
			}

			Param param02 = new Param();
			param02.add(0, "0004");
			db.executeUpdate("SQL004",param02);
			db.commit();
		
		}catch(SQLException e){
			e.printStackTrace();
			throw e;
		}catch(DBException e){
			e.printStackTrace();
			throw e;
		}catch(ValidateException e){
			throw e;
		}finally{
			try{
				db.close();
			}catch(Exception ex){
				ex.printStackTrace();
				//何もしない
			}
		}

	}

}
