package sample01;

import net.core22.dbfw.Entity;
import net.core22.dbfw.DBException;
import net.core22.dbfw.Validate;
import net.core22.dbfw.ValidateErrors;
import net.core22.dbfw.ValidateException;

public class UserEntity extends Entity implements Validate{

	public String getId() throws DBException{
		return (String)this.getObject("id");
	}
	public void setId(String id){
		this.setObject("id",id);
	}
	public String getName() throws DBException{
		return (String)this.getObject("name");
	}
	public void setName(String name){
		this.setObject("id",name);
	}
	public String getSex() throws DBException{
		return (String)this.getObject("sex");
	}
	public void setSex(String sex){
		this.setObject("sex",sex);
	}

	public ValidateErrors validate() throws ValidateException {
		// SELECT時の値の妥当性チェックを書く
		// DB#executeQueryで、これを実装しているとこのメソッドがそのとき実行される。
		// ValidateErrorsにエラーの内容を入れる
		ValidateErrors ers = new ValidateErrors();
		return ers;
	}
}
